Page MenuHomePhabricator

The Blueprint sidebar on devhub prototype is missing Discussion link
Closed, ResolvedPublic

Description

Compare the sidebar on http://devhub.wmflabs.org with http://livingstyleguide.wmflabs.org, the former has a blank space where the latter has a link.

This may be a bug in the Blueprint code. But it may not matter, depending on what we decide for T103785: Fix Discussion in Data and developer hub prototype.

Related Objects

StatusAssignedTask
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedAnomie
DeclinedNone
OpenNone
OpenNone
Resolved Spage
DeclinedNone
Resolvedjeropbrenda
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedPrtksxna

Event Timeline

Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added a project: Blueprint.
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2015, 6:36 AM
Spage updated the task description. (Show Details)Jun 25 2015, 7:06 AM
Spage set Security to None.
Prtksxna added a subscriber: Prtksxna.EditedJul 1 2015, 1:20 PM

Could it be because of the article not being in the main namespace? Not that Blueprint shouldn't support that, but I am just trying to figure out why it is happening in the first place.


Yup, that is what is happening. Blueprint has this sort of hardcoded in sidebar.template. Its even rendering an empty list item in devhub. This should be a simple fix. (note to self, see Manual:Skinning)

Change 222256 had a related patch set uploaded (by Prtksxna):
Use content_navigation.namespaces instead of hardcoding for Talk

https://gerrit.wikimedia.org/r/222256

Prtksxna triaged this task as High priority.Jul 3 2015, 4:35 AM

Change 222256 merged by jenkins-bot:
Use content_navigation.namespaces instead of hardcoding for Talk

https://gerrit.wikimedia.org/r/222256

Prtksxna closed this task as Resolved.Jul 3 2015, 10:11 AM
Prtksxna claimed this task.
Prtksxna moved this task from Backlog to Done on the Blueprint board.